%define dl_url	https://pje.trt18.jus.br

Name:           shodo
Version:        1.2.0
Release:        2%{?dist}
Summary:        Digital signer from CSJT (brazilian Labor Court)

License:        MIT, EPL-2.0, Apache-2.0 and CDDL 
URL:		http://www.csjt.jus.br
Source0:	%{dl_url}/%{name}/%{name}.jar
Source1:	%{name}-resources.tar.xz

BuildArch:	noarch
BuildRequires:  unzip
BuildRequires:	zip
Requires:	java-11-openjdk

%description
Signer provided by the brazilian Labor Court to carry out digital signatures in the PJe.

%prep
%autosetup -c -a 1
%{__mkdir_p} doc/lombok
%{__mkdir} licenses
%{__cp} AUTHORS LICENSE changelog.txt doc/lombok/
%{__cp} META-INF/LICENSE licenses/EPL-2.0.txt
%{__cp} META-INF/LICENSE.txt licenses/CDDL.txt
%{__rm} -rf linux

zip -r shodo.jar ./

%install
%{__mkdir_p} %{buildroot}%{_bindir}
%{__mkdir_p} %{buildroot}%{_datadir}/%{name}
%{__mkdir_p} %{buildroot}%{_datadir}/applications
%{__mkdir_p} %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
%{__mkdir_p} %{buildroot}%{_docdir}/%{name}

%{__install} -D -m0755 shodo %{buildroot}%{_bindir}/
%{__install} -D -m0644 shodo.jar %{buildroot}%{_datadir}/%{name}/%{name}.jar
%{__install} -D -m0644 shodo.desktop %{buildroot}%{_datadir}/applications/br.jus.csjt.assinadorjt.desktop
%{__install} -D -m0644 images/shodo*.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/

%{__cp} -a doc/lombok %{buildroot}%{_docdir}/%{name}/
%{__cp} -a licenses %{buildroot}%{_docdir}/%{name}/


%files
%doc %{_docdir}/%{name}/lombok/AUTHORS
%doc %{_docdir}/%{name}/lombok/changelog.txt
%license %{_docdir}/%{name}/lombok/LICENSE
%license %{_docdir}/%{name}/licenses/CDDL.txt
%license %{_docdir}/%{name}/licenses/EPL-2.0.txt
%{_bindir}/%{name}
%{_datadir}/%{name}/%{name}.jar
%{_datadir}/applications/br.jus.csjt.assinadorjt.desktop
%{_datadir}/icons/hicolor/scalable/apps/shodo.svg
%{_datadir}/icons/hicolor/scalable/apps/shodo_alt.svg

%changelog
* Fri Sep 09 2022 Christian Tosta <devel@cpuhouse.com.br> - 1.2.0-2
- Fixed changelog and rebuilt

* Sun Jun 12 2022 Christian Tosta <devel@cpuhouse.com.br> - 1.2.0-1
- Initial package
